$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.167.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.167.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '9DCCEA218A68E6C763D01C1C9DEF12F240513AA7DCEE71A76EDFF65950E4DA33'
  checksumType = 'sha256'
  checksum64 = '9DCCEA218A68E6C763D01C1C9DEF12F240513AA7DCEE71A76EDFF65950E4DA33'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.167-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
